<div class="board">
  <div class="board-name-block">
    <div class="board-name-block-flex">
      <div class="board-name">
        <p>{{board.name | uppercase}}</p>
      </div>
      <button class="board-name-block-image" (click)="editRemoveBoardButton()">
        <img src="../../../../assets/options.svg" alt="options" class="options">
      </button>
    </div>
    <div class="bord-options-window" *ngIf="showOptionsBoard">
      <div class="options">
        <form action=""></form>
        <button class="options-button options-button-edit" (click)="showEditWindow = !showEditWindow">edit</button>
        <div *ngIf="showEditWindow">
          <form action="" [formGroup]="formEdit" (ngSubmit)="editBoard(board._id, formEdit)">
            <input type="text" formControlName="name">
            <input type="text" formControlName="description">
            <button type="submit">edit</button>
          </form>
        </div>
        <button class="options-button options-button-delete" (click)="deleteBoard(board._id)">delete</button>
      </div>
    </div>
  </div>
  <div class="board-info">
    <p class="board-info-date">{{board.createdAt | date: 'longDate'}}</p>
    <p class="board-info-desc">{{board.description}}</p>
    <a (click)="openBoard(board._id)">read more</a>
  </div>
</div>


